MacellanMacellan SuperApp
QR

Status

  • Qr durumunu sorgulamak, qr'ı oluşturan kullanıcıyı ve cüzdan bilgilerini almak için kullanılır.
GET
/integration/qr/status

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

reference_code*string

6 Haneli Qr Referans Kodu

branch_code?string

Tek Bir Token İle Entegrasyon Sağlandığında Kullanılan Şube Kodu

Response Body

application/json

application/json

application/json

curl -X GET "https://api.altpay.dev/integration/qr/status?reference_code=A1B2C3&branch_code=12345"
{
  "data": {
    "status": "permanent",
    "type": "cash_deposit",
    "user": {
      "id": 1,
      "first_name": "AB****",
      "last_name": "CD****",
      "email": "ab*****@test.com",
      "phone": "90***********"
    },
    "wallet": {
      "id": 1,
      "visibility": true,
      "balance": 1,
      "point": 1,
      "held_balance": 0.1,
      "held_point": 0.1,
      "total_held": 0.1,
      "company_id": 1
    }
  }
}
{
  "message": "Unauthenticated"
}
{
  "message": "Gönderdiğiniz Veriler Geçersiz",
  "errors": {
    "property": [
      "Hata açıklaması"
    ]
  }
}